package de.jottyfan.bico.modules.ical;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

import de.jottyfan.bico.modules.CommonController;
import jakarta.servlet.http.HttpServletResponse;

/**
 *
 * @author jotty
 *
 */
@Controller
public class IcalController extends CommonController{

	@Autowired
	private IcalService service;

	@GetMapping("/ical")
	public void getIcalExport(HttpServletResponse response) throws Exception {
		response.setHeader("Content-Disposition", "attachment; filename=bico.ics");
		response.setContentType("application/octet-stream");
		response.setHeader("Content-Transfer-Encoding", "binary");
		response.setHeader("Accept-Ranges", "bytes");
		service.createCalendar(response.getOutputStream());
		response.flushBuffer();
	}
}
