package de.jottyfan.bico.modules.next;

import java.time.LocalDate;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.jottyfan.bico.modules.next.model.NextBean;

/**
 * 
 * @author jotty
 * 
 */
@Service
public class NextService {

	@Autowired
	private NextRepository repository;
	
	/**
	 * get the next dates
	 * 
	 * @param date the date
	 * @return the list of next dates
	 */
	public List<NextBean> getNext(LocalDate date) {
		return repository.getNext(date);
	}
	
}
