package de.jottyfan.bico.modules.theme.model;

import java.io.Serializable;

/**
 *
 * @author jotty
 *
 */
public class ThemeBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer lessonId;
	private Integer slotId;
	private Integer pkLessonSubject;

	private String theme;
	private String subtheme;
	private String bookPages;
	private String worksheets;
	private String bibleverse;
	private String notes;

	private String sourceName;

	private String lessonNotes;

	public static ThemeBean of(Integer lessonId) {
		ThemeBean bean = new ThemeBean();
		bean.setLessonId(lessonId);
		return bean;
	}

	/**
	 * @return the theme
	 */
	public String getTheme() {
		return theme;
	}

	/**
	 * @param theme the theme to set
	 */
	public void setTheme(String theme) {
		this.theme = theme;
	}

	/**
	 * @return the subtheme
	 */
	public String getSubtheme() {
		return subtheme;
	}

	/**
	 * @param subtheme the subtheme to set
	 */
	public void setSubtheme(String subtheme) {
		this.subtheme = subtheme;
	}

	/**
	 * @return the sourceName
	 */
	public String getSourceName() {
		return sourceName;
	}

	/**
	 * @param sourceName the sourceName to set
	 */
	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}


	/**
	 * @return the slotId
	 */
	public Integer getSlotId() {
		return slotId;
	}


	/**
	 * @param slotId the slotId to set
	 */
	public void setSlotId(Integer slotId) {
		this.slotId = slotId;
	}


	/**
	 * @return the bookPages
	 */
	public String getBookPages() {
		return bookPages;
	}


	/**
	 * @param bookPages the bookPages to set
	 */
	public void setBookPages(String bookPages) {
		this.bookPages = bookPages;
	}


	/**
	 * @return the worksheets
	 */
	public String getWorksheets() {
		return worksheets;
	}


	/**
	 * @param worksheets the worksheets to set
	 */
	public void setWorksheets(String worksheets) {
		this.worksheets = worksheets;
	}


	/**
	 * @return the bibleverse
	 */
	public String getBibleverse() {
		return bibleverse;
	}


	/**
	 * @param bibleverse the bibleverse to set
	 */
	public void setBibleverse(String bibleverse) {
		this.bibleverse = bibleverse;
	}


	/**
	 * @return the notes
	 */
	public String getNotes() {
		return notes;
	}


	/**
	 * @param notes the notes to set
	 */
	public void setNotes(String notes) {
		this.notes = notes;
	}


	/**
	 * @return the lessonNotes
	 */
	public String getLessonNotes() {
		return lessonNotes;
	}


	/**
	 * @param lessonNotes the lessonNotes to set
	 */
	public void setLessonNotes(String lessonNotes) {
		this.lessonNotes = lessonNotes;
	}


	/**
	 * @return the lessonId
	 */
	public Integer getLessonId() {
		return lessonId;
	}


	/**
	 * @param lessonId the lessonId to set
	 */
	public void setLessonId(Integer lessonId) {
		this.lessonId = lessonId;
	}

	/**
	 * @return the pkLessonSubject
	 */
	public Integer getPkLessonSubject() {
		return pkLessonSubject;
	}

	/**
	 * @param pkLessonSubject the pkLessonSubject to set
	 */
	public void setPkLessonSubject(Integer pkLessonSubject) {
		this.pkLessonSubject = pkLessonSubject;
	}
}
